@echo off

c:
cd \winstall
echo.
echo Recording system information ... please wait.

REM This section makes a snapshot of your system files
type c:\windows\win.ini    > WIN.OLD
type c:\windows\system.ini > SYSTEM.OLD
type c:\autoexec.bat       > AUTOEXEC.OLD
type c:\config.sys         > CONFIG.OLD

REM Records files in c:\win, c:\win\system, and in the root directory
REM    /a ALL files including system/hidden (-d omits directories)
REM    /b omit header and summary lines
REM    /l use lower case
dir c:\windows\*.*        /a   /b /l  > WINDIR.OLD
dir c:\windows\system\*.* /a   /b /l  > SYSDIR.OLD
dir c:\*.*                /a-d /b /l  > ROOT.OLD

REM Copies directory tree of c:
REM  /a uses text characters rather than graphics
tree c:\ /a                    > TREEC.OLD


REM tree d:\ /a > TREED.OLD      ;Add this line if you install to drive d:
REM                              ; etc for other drives

REM This creates a series of '.OLD' files
REM    WIN              contents of WIN.INI
REM    SYSTEM           SYSTEM.INI
REM    AUTOEXEC         AUTOEXEC.BAT
REM    CONFIG           CONFIG.SYS
REM    WINDIR           C:\WINDOWS filenames
REM    SYSDIR           C:\WINDOWS\SYSTEM filenames
REM    ROOT             C:\ filenames
REM    TREEC            full directory tree of drive C:
