@echo off

c:
cd \winstall
REM Usage: after 'filename to create' 'name of program'
echo Looking for changes to system ... please wait.
echo Results will be found in C:\WINSTALL\%1.TXT

REM Starts the comparison file, %1, with a blank line
echo.                           > %1
echo Changes made to hard disk by '%2' installation >> %1
echo.                           >> %1

REM FC compares old files with new ones and lists differences in %1
echo [ WIN.INI ]                    >> %1
fc win.old c:\windows\win.ini       >> %1
echo [ SYSTEM.INI ]                 >> %1
fc system.old c:\windows\system.ini >> %1
echo [ AUTOEXEC.BAT ]               >> %1
fc autoexec.old c:\autoexec.bat     >> %1
echo [ CONFIG.SYS ]                 >> %1
fc config.old c:\config.sys         >> %1

REM Gets new directory listing and compares it with the old
echo [ FILES IN C:\windows ]        >> %1
dir c:\windows\*.* /a /b /l          > windir.new
fc windir.old windir.new            >> %1
echo [ FILES IN C:\windows\SYSTEM ] >> %1
dir c:\windows\system\*.* /a /b /l   > sysdir.new
fc sysdir.old sysdir.new            >> %1
echo [ FILES IN C:\ ]               >> %1

REM files/no directories in root 
dir c:\*.* /a-d /b /l                > root.new
fc root.old root.new                >> %1

REM New directory tree
echo [ DIRECTORY TREE FOR C: ]      >> %1
tree c:\ /a                          > treec.new
fc treec.old treec.new              >> %1

REM echo [ DIRECTORY TREE FOR D: ] )) %1
REM tree d:\ /a                     ) treed.new
REM fc treed.old treed.new         )) %1

REM Cleans up text file a bit
REM  omits lines containing the phrase
find /v "Comparing files" %1         > %1.txt

REM Deletes working text file
del %1

REM  deletes remaining temporary files
del *.old 
del *.new

REM show the results
l %1.txt
